itpp::Sample_24 Class Reference

Small class to represent 24-bit PCM samples. More...

`#include <itpp/srccode/audiosample.h>`

## Public Member Functions

| Sample_24 (uint32_t v=0)
uint32_t | value () const
void | value (uint32_t v)

## Static Public Attributes

static const int32_t | max_abs_value = (1<<23) - 1

## Detailed Description

Small class to represent 24-bit PCM samples.

Definition at line 160 of file audiosample.h.

## Constructor & Destructor Documentation

## Sample_24()

itpp::Sample_24::Sample_24 | ( | uint32_t | v = 0 | ) |

inline explicit

Definition at line 164 of file audiosample.h.

## Member Function Documentation

## value() [1/2]

uint32_t itpp::Sample_24::value | ( |  | ) | const

inline

Definition at line 165 of file audiosample.h.

## value() [2/2]

void itpp::Sample_24::value | ( | uint32_t | v | ) |

inline

Definition at line 166 of file audiosample.h.

## Member Data Documentation

## max_abs_value

const int32_t itpp::Sample_24::max_abs_value = (1<<23) - 1

static

Definition at line 163 of file audiosample.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiosample.h

Generated on for IT++ by Doxygen 1.15.0